import 'package:hordev2/app/data/models/api_model.dart';
import 'package:hordev2/app/data/models/base_model.dart';

class Company extends BaseModel {
  String? name;
  dynamic logo;
  String? slug;
  Api? api;
  bool? deleted;
  String? id;

  Company({this.name, this.logo, this.slug, this.api, this.deleted, this.id});

  Company.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    logo = json['logo'];
    slug = json['slug'];
    api = json['api'] != null ? Api?.fromJson(json['api']) : null;
    deleted = json['deleted'];
    id = json['id'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['name'] = name;
    data['logo'] = logo;
    data['slug'] = slug;
    if (api != null) {
      data['api'] = api!.toJson();
    }
    data['deleted'] = deleted;
    data['id'] = id;
    return data;
  }
}
