class Read {
  int? interval;
  String? sourceType;
  String? name;
  String? widgetType;
  Map<String, dynamic>? sourceParams;
  String? sourceUrl;

  Read(
      {this.interval,
      this.sourceType,
      this.name,
      this.widgetType,
      this.sourceParams,
      this.sourceUrl});

  Read.fromJson(Map<String, dynamic> json) {
    interval = json['interval'];
    sourceType = json['source_type'];
    name = json['name'];
    widgetType = json['widget_type'];
    sourceParams = json['source_params'];
    sourceUrl = json['source_url'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['interval'] = interval;
    data['source_type'] = sourceType;
    data['name'] = name;
    data['widget_type'] = widgetType;
    if (sourceParams != null) {
      data['source_params'] = sourceParams;
    }
    data['source_url'] = sourceUrl;
    return data;
  }
}

class Write {
  int? interval;
  int? delay;
  Map<String, dynamic>? sendRule;
  String? name;
  String? sourceType;
  String? sourceWriteFormat;
  Map<String, dynamic>? sourceParams;
  String? sourceUrl;

  Write(
      {this.interval,
      this.delay,
      this.sendRule,
      this.name,
      this.sourceType,
      this.sourceWriteFormat,
      this.sourceParams,
      this.sourceUrl});

  Write.fromJson(Map<String, dynamic> json) {
    interval = json['interval'];
    delay = json['delay'];
    if (json['send_rule'] != null) {
      sendRule = json['send_rule'];
    }
    name = json['name'];
    sourceType = json['source_type'];
    sourceWriteFormat = json['source_write_format'];
    sourceParams = json['source_params'];
    sourceUrl = json['source_url'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['interval'] = interval;
    data['delay'] = delay;
    if (sendRule != null) {
      data['send_rule'] = sendRule;
    }
    data['name'] = name;
    data['source_type'] = sourceType;
    data['source_write_format'] = sourceWriteFormat;
    if (sourceParams != null) {
      data['source_params'] = sourceParams;
    }
    data['source_url'] = sourceUrl;
    return data;
  }
}

class Config {
  List<Write>? change;
  List<Read>? read;
  List<Write>? write;

  Config({this.change, this.read, this.write});

  Config.fromJson(Map<String, dynamic> json) {
    if (json['change'] != null) {
      change = <Write>[];
      json['change'].forEach((v) {
        change!.add(Write.fromJson(v));
      });
    }
    if (json['read'] != null) {
      read = <Read>[];
      json['read'].forEach((v) {
        read!.add(Read.fromJson(v));
      });
    }
    if (json['write'] != null) {
      write = <Write>[];
      json['write'].forEach((v) {
        write!.add(Write.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (change != null) {
      data['change'] = change!.map((v) => v.toJson()).toList();
    }
    if (read != null) {
      data['read'] = read!.map((v) => v.toJson()).toList();
    }
    if (write != null) {
      data['write'] = write!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
