import 'package:hordev2/app/data/models/base_model.dart';

class IotDataChanges extends BaseModel {
  SensorMini? sensor;
  String? startDate;
  String? endDate;
  double? timeDelta;
  bool? deleted;
  double? value;
  dynamic extraData;
  List<Together>? together;
  String? id;

  IotDataChanges(
      {this.sensor,
      this.startDate,
      this.endDate,
      this.timeDelta,
      this.deleted,
      this.value,
      this.extraData,
      this.together,
      this.id});

  IotDataChanges.fromJson(Map<String, dynamic> json) {
    sensor =
        json['sensor'] != null ? SensorMini?.fromJson(json['sensor']) : null;
    startDate = json['start_date'];
    endDate = json['end_date'];
    timeDelta = json['time_delta'];
    deleted = json['deleted'];
    value = json['value'];
    extraData = json['extra_data'];
    if (json['together'] != null) {
      together = <Together>[];
      json['together'].forEach((v) {
        together!.add(Together.fromJson(v));
      });
    }
    id = json['id'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (sensor != null) {
      data['sensor'] = sensor!.toJson();
    }
    data['start_date'] = startDate;
    data['end_date'] = endDate;
    data['time_delta'] = timeDelta;
    data['deleted'] = deleted;
    data['value'] = value;
    data['extra_data'] = extraData;
    if (together != null) {
      data['together'] = together!.map((v) => v.toJson()).toList();
    }
    data['id'] = id;
    return data;
  }
}

class SensorMini {
  String? id;
  String? name;

  SensorMini({this.id, this.name});

  SensorMini.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    return data;
  }
}

class Together {
  SensorMini? sensor;
  double? value;

  Together({this.sensor, this.value});

  Together.fromJson(Map<String, dynamic> json) {
    sensor =
        json['sensor'] != null ? SensorMini?.fromJson(json['sensor']) : null;
    value = json['value'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (sensor != null) {
      data['sensor'] = sensor!.toJson();
    }
    data['value'] = value;
    return data;
  }
}
