import 'package:hordev2/app/data/models/base_model.dart';
import 'package:hordev2/app/data/models/collector_model.dart';
import 'package:hordev2/app/data/models/company_model.dart';
import 'package:hordev2/app/data/models/machine_model.dart';

class IotData extends BaseModel {
  String? date;
  Company? company;
  Collector? collector;
  Machine? machine;
  bool? deleted;
  String? sensor;
  double? min;
  double? max;
  double? avg;
  Map<String, dynamic>? datab;
  String? id;

  IotData(
      {this.date,
      this.company,
      this.collector,
      this.machine,
      this.deleted,
      this.sensor,
      this.min,
      this.max,
      this.avg,
      this.datab,
      this.id});

  IotData.fromJson(Map<String, dynamic> json) {
    date = json['date'];
    company =
        json['company'] != null ? Company?.fromJson(json['company']) : null;
    collector = json['collector'] != null
        ? Collector?.fromJson(json['collector'])
        : null;
    machine =
        json['machine'] != null ? Machine?.fromJson(json['machine']) : null;
    deleted = json['deleted'];
    sensor = json['sensor'];
    min = json['min'];
    max = json['max'];
    avg = json['avg'];
    datab = json['data'] != null ? json['data'] : null;
    id = json['id'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['date'] = date;
    if (company != null) {
      data['company'] = company!.toJson();
    }
    if (collector != null) {
      data['collector'] = collector!.toJson();
    }
    if (machine != null) {
      data['machine'] = machine!.toJson();
    }
    data['deleted'] = deleted;
    data['sensor'] = sensor;
    data['min'] = min;
    data['max'] = max;
    data['avg'] = avg;
    if (datab != null) {
      data['data'] = datab;
    }
    data['id'] = id;
    return data;
  }
}
