import 'package:hordev2/app/data/models/base_model.dart';
import 'package:hordev2/app/data/models/collector_model.dart';
import 'package:hordev2/app/data/models/company_model.dart';

class Machine extends BaseModel {
  Collector? collector;
  Company? company;
  bool? deleted;
  String? id;
  dynamic linkedMachine;
  String? name;
  List<String>? tags;

  Machine(
      {this.collector,
      this.company,
      this.deleted,
      this.id,
      this.linkedMachine,
      this.name,
      this.tags});

  Machine.fromJson(Map<String, dynamic> json) {
    collector = json['collector'] != null
        ? Collector?.fromJson(json['collector'])
        : null;
    company =
        json['company'] != null ? Company?.fromJson(json['company']) : null;
    deleted = json['deleted'];
    id = json['id'];
    linkedMachine = json['linked_machine'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (collector != null) {
      data['collector'] = collector!.toJson();
    }
    if (company != null) {
      data['company'] = company!.toJson();
    }
    data['deleted'] = deleted;
    data['id'] = id;
    data['linked_machine'] = linkedMachine;
    data['name'] = name;
    return data;
  }
}
