import 'package:hordev2/app/data/models/api_model.dart';
import 'package:hordev2/app/data/models/collector_model.dart';
import 'package:hordev2/app/data/models/company_model.dart';
import 'package:hordev2/app/data/models/config_model.dart';
import 'package:hordev2/app/data/models/machine_model.dart';

class Sensor {
  String? id;
  Company? company;
  Machine? machine;
  Collector? collector;
  Config? config;
  Api? api;
  String? key;
  List<String>? tags;
  bool? deleted;
  String? name;
  List<String>? buildTogether;
  bool? buildDataChanges;

  Sensor(
      {this.id,
      this.company,
      this.machine,
      this.collector,
      this.config,
      this.api,
      this.key,
      this.tags,
      this.deleted,
      this.name,
      this.buildTogether,
      this.buildDataChanges});

  Sensor.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    company =
        json['company'] != null ? Company?.fromJson(json['company']) : null;
    machine =
        json['machine'] != null ? Machine?.fromJson(json['machine']) : null;
    collector = json['collector'] != null
        ? Collector?.fromJson(json['collector'])
        : null;
    config = json['config'] != null ? Config?.fromJson(json['config']) : null;
    api = json['api'] != null ? Api?.fromJson(json['api']) : null;
    key = json['key'];
    tags = json['tags'].cast<String>();
    deleted = json['deleted'];
    name = json['name'];
    buildTogether = json['build_together'].cast<String>();
    buildDataChanges = json['build_data_changes'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    if (company != null) {
      data['company'] = company!.toJson();
    }
    if (machine != null) {
      data['machine'] = machine!.toJson();
    }
    if (collector != null) {
      data['collector'] = collector!.toJson();
    }
    if (config != null) {
      data['config'] = config!.toJson();
    }
    if (api != null) {
      data['api'] = api!.toJson();
    }
    data['key'] = key;
    data['tags'] = tags;
    data['deleted'] = deleted;
    data['name'] = name;
    data['build_together'] = buildTogether;
    data['build_data_changes'] = buildDataChanges;
    return data;
  }
}
