import 'package:flutter/material.dart';
import 'package:hordev2/app/data/providers/base_provider.dart';
import 'package:hordev2/app/data/widgets/error_dialog.dart';

class LoginProvider extends BaseProvider {
  @override
  void onInit() {
    super.onInit();
    httpClient.defaultDecoder = (map) {
      return map;
    };

    httpClient.baseUrl = 'http://localhost:5001/api';
  }

  Future<Map<String, dynamic>> login(String username, String password) async {
    final response = await post(
        "/user/auth", {"username": username, "password": password},
        contentType: 'application/json');
    print(response.body);
    print(response.statusCode);
    if (response.statusCode != 200 && response.statusCode != 401) {
      errorDialog('Warning', 'System error please contact to Antodis.',
          Colors.orangeAccent);
      try {
        return response.body;
      } catch (e) {
        return {"error": "system", "error_code": response.statusCode};
      }
    }
    return response.body;
  }
}
