import 'dart:async';
import 'dart:ui';

import 'package:flutter/material.dart';
//
// class HordeBox extends StatelessWidget {
//   final Widget child;
//
//   const HordeBox({Key? key, required this.child}) : super(key: key);
//
//   @override
//   Widget build(BuildContext context) {
//     return Container(
//       margin: EdgeInsets.all(5),
//       padding: EdgeInsets.all(20),
//       decoration: BoxDecoration(
//           gradient: LinearGradient(
//               begin: Alignment.bottomCenter,
//               end: Alignment.topCenter,
//               colors: [Color(0xff0f1621), Color(0xff161e29)]),
//           borderRadius: BorderRadius.circular(10),
//           color: Colors.white),
//       child: child,
//     );
//   }
// }

class HordeBox extends StatelessWidget {
  final Widget child;
  final List<Map<String, Function>>? actionList;
  final String? title;
  final Color? color;

  const HordeBox(
      {Key? key, required this.child, this.actionList, this.title, this.color})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return StatefulBuilder(
      builder: (BuildContext context, setState) {
        return AnimatedContainer(
          duration: Duration(milliseconds: 1000),
          margin: EdgeInsets.all(5),
          padding: EdgeInsets.all(20),
          decoration: BoxDecoration(
              gradient: RadialGradient(
                  center: Alignment.bottomRight,
                  radius: 1,
                  colors: [
                    color != null ? color! : Color(0xff0f1621).withAlpha(10),
                    Color(0xff0f1621).withAlpha(50),
                    Color(0xff0f1621),
                  ]),
              borderRadius: BorderRadius.circular(10),
              color: Colors.white),
          child: Column(
            children: [
              if (title != null || actionList != null)
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    title != null
                        ? SizedBox(
                            height: 32,
                            child: Text(
                              "$title",
                              style: TextStyle(fontSize: 22),
                            ),
                          )
                        : Center(),
                    actionList != null
                        ? PopupMenuButton(
                            onSelected: (value) {},
                            itemBuilder: (context) => [
                              PopupMenuItem(
                                child: Text("First"),
                                value: "1",
                              ),
                              PopupMenuItem(
                                child: Text("Second"),
                                value: 2,
                              )
                            ],
                          )
                        : Center()
                  ],
                ),
              child,
            ],
          ),
        );
      },
    );
  }
}

class HordeBoxColor extends HordeBox {
  final Widget child;
  final List<Map<String, Function>>? actionList;
  final String? title;
  final Color? color;
  const HordeBoxColor(
      {Key? key, required this.child, this.actionList, this.title, this.color})
      : super(
            key: key,
            child: child,
            actionList: actionList,
            title: title,
            color: color);
}
//
// class HordeBoxColor extends StatelessWidget {
//   final Color color;
//   final Widget child;
//
//   const HordeBoxColor({Key? key, required this.color, required this.child})
//       : super(key: key);
//
//   @override
//   Widget build(BuildContext context) {
//     return Container(
//       margin: EdgeInsets.all(5),
//       padding: EdgeInsets.all(20),
//       decoration: BoxDecoration(
//           gradient:
//               RadialGradient(center: Alignment.bottomRight, radius: 1, colors: [
//             color,
//             Color(0xff0f1621).withAlpha(10),
//             Color(0xff0f1621),
//           ]),
//           borderRadius: BorderRadius.circular(10),
//           color: Colors.white),
//       child: child,
//     );
//   }
// }
