import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';
import 'package:hordev2/app/data/providers/login_provider.dart';
import 'package:hordev2/app/routes/app_pages.dart';
import 'package:rounded_loading_button/rounded_loading_button.dart';

class LoginController extends GetxController {
  final RoundedLoadingButtonController btnController1 =
      RoundedLoadingButtonController();
  final count = 0.obs;
  final clientIdController = TextEditingController();
  final usernameController = TextEditingController();
  final passwordController = TextEditingController();
  final loginError = false.obs;
  @override
  void onInit() {
    super.onInit();
  }

  @override
  void onReady() {
    super.onReady();
  }

  void login() async {
    LoginProvider loginProvider = Get.find<LoginProvider>();
    final Map<String, dynamic> responseLogin = await loginProvider.login(
        usernameController.text, passwordController.text);
    if (responseLogin.containsKey('access_token') == true) {
      Get.toNamed(Routes.HOME);
    } else if (responseLogin.containsKey("error_code") == true) {
      btnController1.reset();
    } else {
      btnController1.reset();
      loginError.value = true;
    }
  }

  @override
  void onClose() {
    clientIdController.dispose();
    usernameController.dispose();
    passwordController.dispose();
  }

  void increment() => count.value++;
}
