import 'package:flutter/material.dart';

import 'package:get/get.dart';
import 'package:hordev2/app/data/widgets/horde_box.dart';
import 'package:hordev2/config.dart';
import 'package:rounded_loading_button/rounded_loading_button.dart';

import '../controllers/login_controller.dart';

class LoginView extends GetView<LoginController> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: SizedBox(
          width: 400,
          height: 400,
          child: HordeBox(
            title: 'Login',
            child: Column(
              children: [
                SizedBox(
                  height: 10,
                ),
                Container(
                  padding: EdgeInsets.only(left: 10, right: 10, bottom: 0),
                  decoration: BoxDecoration(
                      color: secondColor,
                      borderRadius: BorderRadius.circular(10),
                      boxShadow: [
                        BoxShadow(
                            color: primaryColor.withAlpha(40),
                            blurRadius: 5,
                            spreadRadius: 4)
                      ]),
                  child: TextField(
                    decoration: InputDecoration(
                        prefixIcon: Icon(Icons.work),
                        floatingLabelBehavior: FloatingLabelBehavior.never,
                        labelText: 'Client ID',
                        border:
                            OutlineInputBorder(borderSide: BorderSide.none)),
                  ),
                ),
                Obx(() {
                  return SizedBox(
                    height: 40,
                    child: Padding(
                      padding: EdgeInsets.only(top: 10),
                      child: controller.loginError == true
                          ? Text("Wrong username or password")
                          : null,
                    ),
                  );
                }),
                Container(
                  padding: EdgeInsets.only(left: 10, right: 10, bottom: 0),
                  decoration: BoxDecoration(
                      color: secondColor,
                      borderRadius: BorderRadius.circular(10),
                      boxShadow: [
                        BoxShadow(
                            color: primaryColor.withAlpha(40),
                            blurRadius: 5,
                            spreadRadius: 4)
                      ]),
                  child: TextField(
                    controller: controller.usernameController,
                    decoration: InputDecoration(
                        prefixIcon: Icon(Icons.person_outline),
                        floatingLabelBehavior: FloatingLabelBehavior.never,
                        labelText: 'Username',
                        border:
                            OutlineInputBorder(borderSide: BorderSide.none)),
                  ),
                ),
                SizedBox(
                  height: 10,
                ),
                Container(
                  padding: EdgeInsets.only(left: 10, right: 10, bottom: 0),
                  decoration: BoxDecoration(
                      color: secondColor,
                      borderRadius: BorderRadius.circular(10),
                      boxShadow: [
                        BoxShadow(
                            color: primaryColor.withAlpha(40),
                            blurRadius: 5,
                            spreadRadius: 4)
                      ]),
                  child: TextField(
                    obscureText: true,
                    controller: controller.passwordController,
                    decoration: InputDecoration(
                        prefixIcon: Icon(Icons.lock_outline),
                        floatingLabelBehavior: FloatingLabelBehavior.never,
                        labelText: 'Password',
                        border:
                            OutlineInputBorder(borderSide: BorderSide.none)),
                  ),
                ),
                SizedBox(
                  height: 30,
                ),
                RoundedLoadingButton(
                  successIcon: Icons.cloud,
                  failedIcon: Icons.cottage,
                  color: primaryColor,
                  child: Text('Login', style: TextStyle(color: Colors.white)),
                  controller: controller.btnController1,
                  onPressed: () {
                    controller.login();
                  },
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
