import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

enum Environments {
  PRODUCTION,
  QAS,
}

MaterialColor primaryColor = MaterialColor(0xff0f1621, {});
MaterialColor secondColor = MaterialColor(0xff161e29, {});

ThemeData antodisThemeDark = ThemeData(
    brightness: Brightness.dark,
    backgroundColor: Color(0xff0f1621),
    primaryColor: Color(0xff0f1621),
    cardColor: Colors.transparent,
    cardTheme:
        CardTheme(color: Colors.transparent, shadowColor: Colors.transparent),
    dataTableTheme: DataTableThemeData(
        dataRowColor: MaterialStateProperty.all(Colors.transparent),
        dividerThickness: 0,
        headingRowColor: MaterialStateProperty.all(Colors.transparent)),
    textTheme: TextTheme(
      bodyText1: GoogleFonts.tomorrow(),
      bodyText2: GoogleFonts.tomorrow(),
    ),
    canvasColor: Color(0xff161e29),
    appBarTheme: AppBarTheme(
        backgroundColor: Color(0xff161e29),
        centerTitle: false,
        shadowColor: Colors.transparent,
        elevation: 0));
ThemeData antodisThemeLight = ThemeData(
    brightness: Brightness.light,
    appBarTheme: AppBarTheme(backgroundColor: Colors.grey));

class ConfigEnvironments {
  static Map<String, dynamic> getEnvironments() {
    Map<String, dynamic> env = {"env": Environments.PRODUCTION};
    return env;
  }
}
