import 'package:flutter/material.dart';

import 'package:get/get.dart';
import 'package:get_storage/get_storage.dart';
import 'package:hordev2/config.dart';

import 'app/routes/app_pages.dart';
import 'main.reflectable.dart'; // Import generated code.
import 'package:reflectable/reflectable.dart';

// Annotate with this class to enable reflection.
class Reflector extends Reflectable {
  const Reflector()
      : super(invokingCapability); // Request the capability to invoke methods.
}

const reflector = const Reflector();
Future<void> main() async {
  Get.lazyPut(() => Reflector());

  initializeReflectable(); // Set up reflection support.
  await GetStorage.init();
  final box = GetStorage();
  var page = AppPages.INITIAL;
  if (box.read('antodis_jwt_token') == null) {
    page = AppPages.LOGIN;
  }

  runApp(
    GetMaterialApp(
      title: "Application",
      debugShowCheckedModeBanner: false,
      initialRoute: page,
      getPages: AppPages.routes,
      themeMode: ThemeMode.dark,
      theme: antodisThemeLight,
      darkTheme: antodisThemeDark,
    ),
  );
}
