import 'package:flutter_test/flutter_test.dart';
import 'package:get/get.dart';
import 'package:get_storage/get_storage.dart';
import 'package:hordev2/app/data/providers/base_provider.dart';
import 'package:hordev2/app/data/providers/dummy_providers.dart';
import 'package:hordev2/app/data/providers/login_provider.dart';

import 'api_connection_test.reflectable.dart';

void main() async {
  initializeReflectable();
  test(
    'API connection initialized',
    () async {
      await GetStorage.init();
      final box = GetStorage();
      box.erase();
      expect(box.read('jwt'), null);

      // Register provider (Get want this)
      Get.lazyPut<LoginProvider>(() => LoginProvider());
      Get.lazyPut<SensorProvider>(() => SensorProvider());

      // call login provider
      LoginProvider login = Get.find<LoginProvider>();

      final Map<String, dynamic> responseErrorLogin =
          await login.login("xcoder", "neverdie2");
      final Map<String, dynamic> responseLogin =
          await login.login("xcoder", "neverdie");

      expect(responseLogin.keys, ['access_token']);
      expect(responseErrorLogin.keys, ['status']);
      expect(responseErrorLogin['status'], "login failed");
      await box.write("jwt", responseLogin['access_token']);
      await box.save();

      // call sensor provider
      SensorProvider provider = Get.find<SensorProvider>();
      dynamic response2 = await provider.getItemList(params: {});
      expect(response2[0].id, "610d073b29d4fb820bcad6fa");
    },
  );
}
