import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:hordev2/app/data/widgets/horde_box.dart';

class HordeBoxTest extends StatelessWidget {
  const HordeBoxTest({
    Key? key,
    required this.title,
    required this.message,
    required this.color,
  }) : super(key: key);

  final String title;
  final Color color;
  final String message;

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter WidgetTest',
      home: Scaffold(
        appBar: AppBar(
            // title: Text(title),
            ),
        body: SizedBox(
          height: 400,
          width: 400,
          child: HordeBox(
            color: color,
            title: title,
            child: Center(),
          ),
        ),
      ),
    );
  }
}

void main() {
  // Define a test. The TestWidgets function also provides a WidgetTester
  // to work with. The WidgetTester allows you to build and interact
  // with widgets in the test environment.
  testWidgets('HordeBox', (WidgetTester tester) async {
    // Test code goes here.
    await tester.pumpWidget(
        HordeBoxTest(title: 'Test', message: 'Test2', color: Colors.white));
    final titleFinder = find.text('Test');
    AnimatedContainer colorWidget =
        tester.widget<AnimatedContainer>(find.byType(AnimatedContainer));

    BoxDecoration? decoration = colorWidget.decoration as BoxDecoration;
    RadialGradient gradient = decoration.gradient as RadialGradient;
    expect(gradient.colors.indexOf(Colors.white), 0);
  });
}
